[Fedora-livecd-list] tools/livecd-iso-to-disk.sh

Brian C. Lane bcl at fedoraproject.org
Wed Feb 16 00:38:48 UTC 2011


 tools/livecd-iso-to-disk.sh |    4 ++++
 1 file changed, 4 insertions(+)

New commits:
commit b33c5274d8412c7338d63842b39e85ca853bcb52
Author: Brian C. Lane <bcl at redhat.com>
Date:   Tue Feb 15 16:37:47 2011 -0800

    Check return value on udevadm (#637258)
    
    Make sure we don't proceed with an empty $device

diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index ad0eebc..607783f 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
@@ -292,6 +292,10 @@ getdisk() {
     fi
 
     p=$(udevadm info -q path -n $DEV)
+    if [ $? -gt 0 ]; then
+        echo "Error getting udev path to $DEV"
+        exitclean
+    fi
     if [ -e /sys/$p/device ]; then
         device=$(basename /sys/$p)
     else




More information about the livecd mailing list